/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2016 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

DECLARE

  --
  -- Local constants and variables
  --
  l_SERVICE CONSTANT xxas_com_service_repository.service_name%TYPE
                       := 'Grantees';
                       
BEGIN
      
  xxas_com_sr_pkg.set_rest_service
    (p_service_name       => l_SERVICE
    ,p_description        => 'Manage Grantees'
    ,p_path               => 'grantees'
    ,p_consumes           => 'application/xml'
    ,p_produces           => 'application/xml'
    );
    
  xxas_com_sr_pkg.set_rest_method
    (p_service_name       => l_SERVICE
    ,p_method_name        => 'DeleteGrantee'
    ,p_description        => 'Delete a grantee'
    ,p_methods            => 'DELETE'
    --,p_path               => '{grantId}'
    ,p_plsql              =>
      q'[
        DECLARE
          l_resp        xxas_http_resp_obj;
          l_request_xml XMLTYPE;
        BEGIN
        
          l_request_xml := {requestBody};
          
          xxas_grantees_pkg.del_grantee
            (p_request_body => l_request_xml);   
          
          l_resp := xxas_http_response
                        .ok(xxas_com_msg_pkg.get_success_message_xml
                             (xxas_com_msg_type(xxas_util_pkg.app, 'XXAS_COM_CHNG_SAVE', null)
                             )
                           )
                        .build();

         {response} := l_resp;
         
        END
        ]'
    );

    
END;
/
COMMIT;
EXIT;
